<template>
    <div  class=" col-sm-12 col-md-12   col-lg-6  d-flex align-items-stretch car-card  ">
            <div class="card card-car bg-light w-100">
                <div class="card-header card-car-header text-muted  text-capitalize title">
                    <b>  {{ vehicule.libelle}} </b>
                </div>
                <div class="card-body pl-0 pr-0 pt-0 pb-0">
                    <div class="d-flex card-car-body">

                        <div class="col-md-5 col-sm-12 text-left image-block pl-0 media">
                            <router-link :to="'voitures/'+vehicule.id" class="media-link">
                            <img :src="'/storage/images/'+(vehicule.image_mise_en_avant==null ? 'default.jpg' : vehicule.image_mise_en_avant)" alt="" class="img-fluid" height="190">
                            <span class="icon-view"><strong><i class="fa fa-eye"></i></strong></span>
                            </router-link>
                        </div>
                        <div class="col-md-7 col-sm-12 pt-2 pb-2 pl-0 pr-0 position-relative block-data">
                                <div class="block-details p-3 pt-0">
                                <h2 class="lead tarif"><b>{{ new Intl.NumberFormat('en-IN', { maximumSignificantDigits: 3 }).format(vehicule.tarif )}} </b> <span class="details">F cfa / Jour</span></h2>
                                <p class="text-muted text-sm caracteristique d-flex justify-content-between">
                                    <span class="caracteristique-item">
                                    <span class="icon ge-badge ge-badge--secondary  ge-badge--xl"><i class="las la-calendar"></i>  </span>
                                    Année:
                                    <span class="value">{{ vehicule.date_mise_en_circulation | toYear}} </span>
                                    </span>   
                                    <span class="caracteristique-item">
                                    <span class=" icon ge-badge ge-badge--secondary  ge-badge--xl"><i class="fi flaticon-048-car-door"></i>  </span>
                                    Nombre de Portes:
                                    <span class="value">{{ vehicule.nbr_porte }}  </span>
                                    </span>   
                                </p>
                                <p class="text-muted text-sm caracteristique d-flex justify-content-between">
                                    <span class="caracteristique-item">
                                    <span class=" icon ge-badge ge-badge--secondary  ge-badge--xl"><i class="las la-calendar"></i>  </span>
                                     Couleur:
                                    <span class="value">{{ vehicule.couleur}}</span>
                                   
                                    </span>   
                                    <span class="caracteristique-item">
                                    <span class=" icon ge-badge ge-badge--secondary  ge-badge--xl"><i class="las la-car-alt"></i> </span>
                                    Nombre de Places:
                                    <span class="value">{{ vehicule.nbr_place }} </span>
                                    </span>   
                                </p>                                                 
                                </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer pl-1 pr-1">
                    <div class="float-left">
                        <a v-if="authorize('can','ajoute-location')" @click.prevent="rentEvent(vehicule)" class="btn btn-sm  btn-secondary text-white">
                            <i class="fas fa-key mr-2"></i>  Mettre  en location
                        </a>
                    </div>
                    <div class="float-right">
                        <router-link :to="'voitures/'+vehicule.id" class="btn btn-sm  btn-outline-secondary">
                            <i class="fas fa-eye mr-2"></i> Voir la fiche
                        </router-link>
                        <!-- <a @click.prevent="onAction"  class="btn btn-sm  btn-outline-secondary">
                            <i class="fas fa-edit mr-2"></i> Modifier
                        </a> -->
                        <a v-if="authorize('can','supprime-location')" @click.prevent="removeEvent(vehicule)" class="btn btn-sm  btn-danger text-white">
                            <i class="fas fa-trash "></i> 
                        </a>
                    </div>
                </div>
            </div>
    </div >
</template>
<script>
    export default {
        props: ['entity','isSet'],       
         data() {
            return{
                vehicule_est_connu:false,
                vehicule:{
                    libelle: "Wills",
                    marque_id: 5,
                    modele_id: 51,
                    type_vehicule_id: 1,
                    type_permis_id: null,
                    nbr_place: 5,
                    nbr_porte: 5,
                    couleur: "Rouge",
                    image_mise_en_avant: "22-5e6296894e7be.jpeg",
                    tarif: 50000,
                    kilometrage: 23554,
                    plaque_immatriculation: "AZSE-RTDFD-ddd",
                    nr_chassis: "ERDF-ERFFF-FR",
                    date_mise_en_circulation: "2016-02-05",
                    annee_mise_en_circulation: "0000-02-05 00:00:00",
                    consommation_au_100_km: 5.5,
                    type_motorisation_id: 13,
                    boite_vitesse: "automatique",
                    volume_coffre: 100,
                    volume_reservoir: 60,
                    largeur: 2.4,
                    longueur: null,
                    poids: 1290,
                    hauteur: null,
                    created_at: "2020-03-06 18:29:29",
                    updated_at: "2020-03-06 18:29:29",
                    path: "/storage/images/",
                    marque : {},
                    modele : {},
                    marque: {},
                    title: "",
                    modele: {},
                    type_motorisation: {},
                    type_vehicule: {}
                }
            }
            
        },
        mounted() {
            this.vehicule = this.entity
            this.vehicule_est_connu = this.isSet != null ? this.isSet : this.vehicule_est_connu

        },
        computed:
        {
            joursRestant()
            {
                 var jours = 0
                if(this.location.date_fin_prev=="") return jours
                if(this.dateDepassee_ || this.dateEnAttente )
                {
                    jours = 0
                }
                else
                {
                    var end = moment(this.location.date_fin_prev);
                    jours = this.entity.nbr_jour - end.diff(moment(), 'days')
                    console.log(this.entity.nbr_jour,jours)
                }
                return jours
            },
            
             dateDepassee_()
            {
                if(this.location.date_fin_prev=="") return false
                 
                var now = moment();
                var end = moment(this.location.date_fin_prev);
                return now.isAfter(end);
            },
            dateEnAttente()
            {
                if(this.location.date_dbt=="") return false
                 
                var now = moment();
                var start = moment(this.location.date_dbt);
                return now.isBefore(start);
            },
            enCours()
            {
             if(this.location.date_dbt=="") return false
                 
                var now = moment();
                var start = moment(this.location.date_dbt);
                return now.after(start) && this.dateDepassee_==false;
            },
            progression()
            {
                let percent  = 0
                 if(this.dateDepassee_ && this.joursRestant == 0)
                 {
                     percent = 100
                 }
              
                return percent
            },

        },
        methods:
        {
            prolongerEvent(location)
            {
              location.vehicule.marque = this.vehicule.marque
              window.event.$emit('prolongement-event',location)
            },
            removeEvent(vehicule)
            {
              this.$emit('suppression-event',vehicule)
            },
            rentEvent(vehicule)
            {
              this.$emit('location-event',vehicule)
            },
            nowIsOverdue(end)
            {
                var now = moment();
                var end = moment(end);
                return now.isAfter(end);
            },
        }
    }
</script>
<style lang="scss" scoped>

.car-card .tarif {
  font-weight: 700;
  color: #e60000;
  font-size: 26px;
    font-weight: bold;
}
.car-card .tarif span.details {
  font-size: 18Px;
  font-weight: lighter;
}


.car-card .card-body {
  
  height: 200px;
}
.car-card .media-link img {
  
  height: 200px;
  object-fit: cover;
}
.car-card .info li div i  {
   font-size: 1.65rem;
       line-height: 1.6;
}


    .car-card .title {
      font-size: 15px;
      font-weight: 700;
    }

    .car-card .media-link {
      padding: 0;
      display: block;
      position: relative;
      overflow: hidden;
      text-align: center;
  }

  .car-card  .media-link .icon-view {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -40px;
    margin-top: -40px;
    opacity: 0;
    -webkit-animation: fadeOut .4s;
    animation: fadeOut .4s;
}
.car-card .card-header{
        border-bottom: 1px solid rgba(0, 0, 0, 0.04);

}
.car-card .card-footer{
            border-top: 1px solid #02020214;


}
.car-card .icon-view {
  width: 80px;
  height: 80px;
  padding: 5px;
  border: solid 1px rgba(0, 0, 0, 0.6);
  border-radius: 50%;
  display: inline-block;
}
.car-card  .icon-view strong {
  display: block;
  width: 68px;
  height: 68px;
  border-radius: 50%;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.6);
  color: #ffffff;
}
.car-card .info li {
  height: 100%;
  line-height: 20px;
  font-size: 10px;
  font-weight: bold;
  text-align: center;
  width: 100%;
  padding: 0 !important;
}
.car-card .info {
  display: -webkit-flex;
  -webkit-justify-content: space-between;
  display: flex;
  justify-content: space-between;
  white-space: nowrap;
}

.clearfix {
  zoom: 1;
}
.car-card .info li:first-child div {
  border-left: none;
}

.car-card .info li div {
  padding: 0 0px;
  margin-top: 0px !important;
  color: #6c757d;
}
.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.car-card .block-info {
  background: #f2f2f2;
  width: 100%;
      height: 20%;
}
.car-card .block-info ul {
    list-style: none;
    margin-bottom: 0px;
    height: 100%;
}
.car-card .info li {
  height: 100%;
  line-height: 20px;
  font-size: 10px;
  font-weight: bold;
  text-align: center;
  width: 100%;
}
.card-car .image-block {
    border: none;
    padding-right: 0px;
    background-color: white;
}
.car-card .card-car-body
{
   min-height: 200px;
   height: 200px;
}
.car-card .block-data
{
      padding-bottom: 0px !important;
    padding-top: 0px !important;
    display: flex;
    flex-direction: column;
}
.car-card .block-data .block-details
{
        height:80%;
    
}
.car-card .bc-info
{
    height:100%;
    border-top: 1px solid #02020214;
}
.car-card .info li div {
   display: flex;
   justify-content:space-between;
       height: inherit;
}
.car-card .info li div span:first-child {
   flex:0;
}
.car-card .info li div span:last-child {
   flex:1;
   line-height: 3.6;
}
.car-card .info li div span.icon-block {
   
    width: 100%;
    background-color: #86868678;
    color: white;
    font-size: 1.4rem;
    line-height: 1.4;
    padding: 8px;
    padding-top: 0px;
}
/* 
  ##Device = Desktops
  ##Screen = 1281px to higher resolution desktops
*/

@media (min-width: 1281px) {
  
  //CSS
  
}

/* 
  ##Device = Laptops, Desktops
  ##Screen = B/w 1025px to 1280px
*/

@media (min-width: 1025px) and (max-width: 1280px) {
  
  //CSS
  
}

/* 
  ##Device = Tablets, Ipads (portrait)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) {
  
  //CSS
  
}

/* 
  ##Device = Tablets, Ipads (landscape)
  ##Screen = B/w 768px to 1024px
*/

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
  
  //CSS
  
}

/* 
  ##Device = Low Resolution Tablets, Mobiles (Landscape)
  ##Screen = B/w 481px to 767px
*/

@media (min-width: 481px) and (max-width: 767px) {
  
  //CSS
  
}

/* 
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 480px) {
  .content-card .content-card-title .card-title a
  {
    margin-left: 0px !important;
  }

  .car-card .card-body
   {
    height: auto;
   }
   .car-card .block-details
   {
     padding-top: 0px !important;
   } 
    .car-card .card-body .card-car-body
   {
     flex-direction: column;
    -ms-flex-direction: column;
   }
   .car-card .card-car-body
{
   min-height: 200px;
   height: auto;
}
.card-car .image-block {
    border: none;
    min-height: 223px;
    padding-right: 0px !important;
}
   .car-card .media-link img {
    height: auto;
    width: 100%; 
}
.car-card .block-info {
    background: #f2f2f2;
     position: relative; 
    width: 100%;
    right: 0px;
    bottom: 0px;
}
.car-card .block-data {
    padding-bottom: 0px !important;
    padding-top: 0px !important;
}
.car-card .block-info ul {
    list-style: none;
    margin-bottom: 0px;
}

.car-card .card-footer {

        border-top: 1px solid rgba(0, 0, 0, 0.04);
}
.car-card .info li div {
    padding: 0 0px;
    border-left: none !important;
    margin-top: 0px;
        display: -webkit-box !important;
    display: flex !important;
    -webkit-box-pack: center !important;
    justify-content: center !important;
}
.car-card .info li div span  {
      font-size: 0.9rem;
    margin-left: 5px;
    line-height: 2.4;
}
.car-card .info li div i  {
   font-size: 1.4rem;
       line-height: 1.6;
}
.car-card .info li {
    line-height: 20px;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
    width: 100%;
    padding: 0px !important;
        padding-left: 5px !important;
    padding-right: 5px !important;
    border-left:none;
}
.car-card .info li:first-child {
    
    border-left: none;
}
.car-card .block-details p i {
   border-left: none;
 }


}
</style>